public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/unf_ext/
Date: Wed,  7 Feb 2018 06:30:35 +0000 (UTC)	[thread overview]
Message-ID: <1517985010.26ce9fc13b535619a3f13cf03f0e92ab0cbe4723.graaff@gentoo> (raw)

commit:     26ce9fc13b535619a3f13cf03f0e92ab0cbe4723
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  6 06:07:11 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Feb  7 06:30:10 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26ce9fc1

dev-ruby/unf_ext: add 0.0.7.5

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-ruby/unf_ext/Manifest               |  1 +
 dev-ruby/unf_ext/unf_ext-0.0.7.5.ebuild | 45 +++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-ruby/unf_ext/Manifest b/dev-ruby/unf_ext/Manifest
index a56d729798f..624321d14cd 100644
--- a/dev-ruby/unf_ext/Manifest
+++ b/dev-ruby/unf_ext/Manifest
@@ -1 +1,2 @@
 DIST unf_ext-0.0.7.4.gem 398848 BLAKE2B 2c41bcfb3bbe39035109b8f039b5e0795047579f47ca80956988f48039b915ebca1dd43e6ecc1d5ac0498e48b4b12f5b9209b82218b45d11111d5e409fa1e7ea SHA512 2f90542c899e02c2cae06b54ad381ba0f2084880cb760357b4cedf7f171aa2eb7322a0288fadd253624c531410730624a4c8d51e5eb61a67b3fd91d985847fbb
+DIST unf_ext-0.0.7.5.gem 398848 BLAKE2B 3c7b2a6765360f59b7b921155bb6532981c8b31fd1fcebf1adc1e113da2404fa752ef95bb385155de1a6025d51f4564e52b497c5396624a0a5e99357fff88662 SHA512 5d60740172034253fec9659bec49e60f639e93d8f147582e26a012712ec2e5fca30674efc52695def0c3cd145c5ddd93a56a6d0f854ab04e7fc81544e6aede16

diff --git a/dev-ruby/unf_ext/unf_ext-0.0.7.5.ebuild b/dev-ruby/unf_ext/unf_ext-0.0.7.5.ebuild
new file mode 100644
index 00000000000..5b36d3dbd69
--- /dev/null
+++ b/dev-ruby/unf_ext/unf_ext-0.0.7.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem multilib
+
+DESCRIPTION="Unicode Normalization Form support library for CRuby"
+HOMEPAGE="https://github.com/knu/ruby-unf_ext"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_bdepend "
+	test? (
+		>=dev-ruby/test-unit-2.5.1-r1
+	)"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/,/end/ s:^:#:' Rakefile test/helper.rb || die
+}
+
+each_ruby_configure() {
+	${RUBY} -Cext/unf_ext extconf.rb || die
+}
+
+each_ruby_compile() {
+	emake -Cext/unf_ext CFLAGS="${CFLAGS} -fPIC" archflag="${LDFLAGS}" V=1
+	cp ext/unf_ext/*$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+	ruby-ng_testrb-2 test/test_*.rb
+}


             reply	other threads:[~2018-02-07  6:30 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-07  6:30 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-14  9:32 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/unf_ext/ Hans de Graaff
2024-05-26 23:02 Sam James
2024-05-26 23:02 Sam James
2024-05-26 23:02 Sam James
2024-05-26 23:02 Sam James
2024-05-26 22:43 Sam James
2024-05-26 22:43 Sam James
2024-05-26 22:43 Sam James
2023-12-27  7:55 Hans de Graaff
2023-11-17  7:46 Hans de Graaff
2023-11-12  7:07 Hans de Graaff
2023-11-12  7:07 Hans de Graaff
2023-03-11 17:24 Sam James
2023-03-11  8:07 Arthur Zamarin
2023-03-11  5:27 Arthur Zamarin
2023-03-10 20:29 Hans de Graaff
2022-06-28 16:59 Arthur Zamarin
2022-06-28 16:47 Arthur Zamarin
2022-05-26  6:00 Hans de Graaff
2022-05-05 11:34 Jakov Smolić
2022-05-05 11:34 Jakov Smolić
2022-04-27  4:34 Arthur Zamarin
2022-04-01  5:15 Arthur Zamarin
2022-03-15  6:59 Hans de Graaff
2021-09-15  5:46 Hans de Graaff
2021-08-11 14:29 Marek Szuba
2021-07-31  6:47 Hans de Graaff
2021-07-30 15:17 Agostino Sarubbo
2021-07-30 15:14 Agostino Sarubbo
2021-07-19  6:27 Agostino Sarubbo
2021-07-19  6:26 Agostino Sarubbo
2021-07-19  6:25 Agostino Sarubbo
2021-07-03  6:26 Hans de Graaff
2021-04-04  6:53 Hans de Graaff
2021-01-06 18:32 Fabian Groffen
2020-03-30  6:07 Hans de Graaff
2020-01-02  6:50 Hans de Graaff
2019-07-05  4:21 Hans de Graaff
2019-07-04 18:23 Sergei Trofimovich
2019-05-13  1:41 Thomas Deutschmann
2019-04-30  9:50 Mikle Kolyada
2019-04-29  8:51 Sergei Trofimovich
2019-04-29  8:49 Sergei Trofimovich
2019-04-20  6:37 Hans de Graaff
2018-12-31  7:02 Hans de Graaff
2018-07-09 19:07 Sergei Trofimovich
2017-12-28 18:06 Sergei Trofimovich
2017-09-02  7:20 Hans de Graaff
2017-08-29 21:39 Thomas Deutschmann
2017-08-26 12:01 Mikle Kolyada
2017-08-25  7:03 Sergei Trofimovich
2017-08-23  6:14 Hans de Graaff
2017-04-19  4:23 Hans de Graaff
2017-04-13  5:30 Hans de Graaff
2017-02-07  5:26 Hans de Graaff
2016-09-28  8:17 Tobias Klausmann
2016-04-23  5:24 Hans de Graaff
2016-04-14 23:41 Manuel Rüger
2016-02-04  6:36 Hans de Graaff
2016-02-04  6:36 Hans de Graaff
2015-11-12 10:15 Agostino Sarubbo
2015-11-11  9:54 Agostino Sarubbo
2015-11-11  6:05 Jeroen Roovers
2015-11-09 11:24 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1517985010.26ce9fc13b535619a3f13cf03f0e92ab0cbe4723.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox